Package org.codehaus.groovy.ast.expr

# Class RangeExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.RangeExpression

public class RangeExpression extends Expression
Represents a range expression such as for iterating. E.g.:

    for i in 0..10 {...}

Author:
  James Strachan

## Constructor Summary

Constructors
Constructor
Description
`RangeExpression(Expression from, Expression to, boolean inclusive)`

## Method Summary

Modifier and Type
Method
Description
`Expression`
`getFrom()`
`String`
`getText()`
`Expression`
`getTo()`
`boolean`
`isInclusive()`
`Expression`
`transformExpression(ExpressionTransformer transformer)`
Return a copy of the expression calling the transformer on any nested expressions
`void`
`visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RangeExpression

public RangeExpression(Expression from, Expression to, boolean inclusive)

## Method Details

### visit

public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

### transformExpression

public Expression transformExpression(ExpressionTransformer transformer)
Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`
Parameters:
  `transformer` -

### getFrom

public Expression getFrom()

### getTo

public Expression getTo()

### isInclusive

public boolean isInclusive()

### getText

public String getText()

Overrides:
  `getText` in class `ASTNode`